Business Phone Systems

Previous Thread
Next Thread
Print Thread
Rate Thread
#36009 02/07/07 07:09 AM
Joined: Feb 2007
Posts: 2
ShawnR Offline OP
Member
OP Offline
Member
Joined: Feb 2007
Posts: 2
I have a Digitech system G0 408 Rev 20A - We currently use 7700 & 7714 phones. Are there any other phones we can use with this system?
Thanks,
Shawn

Atcom VoIP Demo
VoIP Demo
#36010 02/07/07 09:05 AM
Joined: Oct 2001
Posts: 6,160
Member
Offline
Member
Joined: Oct 2001
Posts: 6,160
Welcome to the Board. According to The software hardware matrix the following sets are compatible at your software level.
Impression Phone Support Revision E and Later 2022 & 2122
Impact phone support Revision E and Later 8012 & 8024
New Impact SCS Telephone Support Revision E and Later
Mark

#36011 03/01/07 08:44 AM
Joined: Feb 2007
Posts: 2
ShawnR Offline OP
Member
OP Offline
Member
Joined: Feb 2007
Posts: 2
Thanks for the help.

Follow-up question: I'm trying to buy phones some on ebay, how can I tell if the Impact SCS phones are Rev. E?
(I see model #'s like 8324S-PT & 8024S-GT)

Sorry I'm new at this haveing to replace phones thing.
Thanks, for the help.
Shawn

#36012 03/01/07 09:30 AM
Joined: Jul 2003
Posts: 6,768
Member
Offline
Member
Joined: Jul 2003
Posts: 6,768
You should contact your dealer for help. You will need to connect and program these phones as well as purchase them off E-bay.


Link Copied to Clipboard
Forum Statistics
Forums84
Topics93,736
Posts636,401
Members49,615
Most Online5,661
May 23rd, 2018
Popular Topics(Views)
Today's Birthdays
effedisk, hellbender, Pat Amaral, Zip
Newest Members
AMS Technology C, Chrontel, RonZ1971, Michael1948, lllDez
49,615 Registered Users
Top Posters(30 Days)
jsaad 7
Toner 6
Who's Online Now
1 members (justbill), 34 guests, and 23 robots.
Key: Admin, Global Mod, Mod
Contact Us | Sponsored by Atcom: Business Phone Systems | Terms of Service

Sundance Communications is not affiliated with any of the above manufacturers.
©Copyright Sundance Communications 1998-2022
Powered by UBB.threads™ PHP Forum Software 7.7.5